summaryrefslogtreecommitdiff
path: root/ci/test-documentation.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/test-documentation.sh')
-rwxr-xr-xci/test-documentation.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/ci/test-documentation.sh b/ci/test-documentation.sh
new file mode 100755
index 0000000000..6214e6acb4
--- /dev/null
+++ b/ci/test-documentation.sh
@@ -0,0 +1,25 @@
+#!/usr/bin/env bash
+#
+# Perform sanity checks on documentation and build it.
+#
+
+set -e
+
+make check-builtins
+make check-docs
+
+# Build docs with AsciiDoc
+make --jobs=2 doc > >(tee stdout.log) 2> >(tee stderr.log >&2)
+! test -s stderr.log
+test -s Documentation/git.html
+test -s Documentation/git.xml
+test -s Documentation/git.1
+grep '<meta name="generator" content="AsciiDoc ' Documentation/git.html
+
+# Build docs with AsciiDoctor
+make clean
+make --jobs=2 USE_ASCIIDOCTOR=1 doc > >(tee stdout.log) 2> >(tee stderr.log >&2)
+sed '/^GIT_VERSION = / d' stderr.log
+! test -s stderr.log
+test -s Documentation/git.html
+grep '<meta name="generator" content="Asciidoctor ' Documentation/git.html